Update TaskStatus
curl --request PUT \
--url https://platform.kodexa.ai/api/task-statuses/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"changeSequence": 123,
"color": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deleted": true,
"deletedDate": "2023-11-07T05:31:56Z",
"deprecated": true,
"extensionPackRef": "<string>",
"icon": "<string>",
"id": "<string>",
"label": "<string>",
"locked": true,
"metadata": "<unknown>",
"name": "<string>",
"organizationId": "<string>",
"publicAccess": true,
"sequence": 123,
"slug": "<string>",
"template": true,
"type": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"yamlSource": "<string>"
}
'import requests
url = "https://platform.kodexa.ai/api/task-statuses/{id}"
payload = {
"changeSequence": 123,
"color": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deleted": True,
"deletedDate": "2023-11-07T05:31:56Z",
"deprecated": True,
"extensionPackRef": "<string>",
"icon": "<string>",
"id": "<string>",
"label": "<string>",
"locked": True,
"metadata": "<unknown>",
"name": "<string>",
"organizationId": "<string>",
"publicAccess": True,
"sequence": 123,
"slug": "<string>",
"template": True,
"type": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"yamlSource": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
changeSequence: 123,
color: '<string>',
createdOn: '2023-11-07T05:31:56Z',
deleteUserEmail: '<string>',
deleteUserId: '<string>',
deleted: true,
deletedDate: '2023-11-07T05:31:56Z',
deprecated: true,
extensionPackRef: '<string>',
icon: '<string>',
id: '<string>',
label: '<string>',
locked: true,
metadata: '<unknown>',
name: '<string>',
organizationId: '<string>',
publicAccess: true,
sequence: 123,
slug: '<string>',
template: true,
type: '<string>',
updatedOn: '2023-11-07T05:31:56Z',
uuid: '<string>',
yamlSource: '<string>'
})
};
fetch('https://platform.kodexa.ai/api/task-statuses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changeSequence": 123,
"color": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deleted": true,
"deletedDate": "2023-11-07T05:31:56Z",
"deprecated": true,
"extensionPackRef": "<string>",
"icon": "<string>",
"id": "<string>",
"label": "<string>",
"locked": true,
"metadata": "<unknown>",
"name": "<string>",
"organizationId": "<string>",
"publicAccess": true,
"sequence": 123,
"slug": "<string>",
"template": true,
"type": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"yamlSource": "<string>"
}Task Statuses
Update TaskStatus
Updates an existing TaskStatus. Task statuses define named states for tracking task workflow progress.
PUT
/
api
/
task-statuses
/
{id}
Update TaskStatus
Authorizations
x-api-keybearerAuth
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Body
application/json
A task status defines a named state for tracking task workflow progress.
Available options:
OPEN, IN_PROGRESS, DONE, BLOCKED, PENDING Response
Updated TaskStatus
A task status defines a named state for tracking task workflow progress.
Available options:
OPEN, IN_PROGRESS, DONE, BLOCKED, PENDING ⌘I
